import { ScatterBase } from "./ScatterBase";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-angular-core";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterSeries extends ScatterBase {
    static $t: Type;
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    ox: ScatterSeriesView;
    protected get_cy(): boolean;
    constructor();
}
/**
 * @hidden
 */
export declare class ScatterSeriesView extends ScatterBaseView {
    static $t: Type;
    protected da: ScatterSeries;
    constructor(a: ScatterSeries);
    ap(): void;
    protected ac(): void;
}
